From: Jonas Smedegaard <dr@jones.dk>
Date: Sun, 11 Apr 2021 20:41:00 +0200
Subject: Fix architecture optimizations

---
 build/linux/configure | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

diff --git a/build/linux/configure b/build/linux/configure
index 5f9f8f7..f245716 100755
--- a/build/linux/configure
+++ b/build/linux/configure
@@ -694,7 +694,7 @@ case $host_cpu in
                 CFLAGS="$CFLAGS -march=i686"
             fi
             if [[ "$asm" == auto && "$CFLAGS" != *-mfpmath* ]]; then
-                CFLAGS="$CFLAGS -mfpmath=sse -msse -msse2"
+                CFLAGS="$CFLAGS -mfpmath=sse -msse"
             fi
             CFLAGS="-m32 $CFLAGS"
             LDFLAGS="-m32 $LDFLAGS"
@@ -742,15 +742,8 @@ case $host_cpu in
     powerpc*)
         ARCH="PPC"
         if [ $asm = auto ] ; then
-            define HAVE_ALTIVEC
             AS="${AS-${CC}}"
             AS_EXT=".c"
-            if [ $SYS = MACOSX ] ; then
-                CFLAGS="$CFLAGS -faltivec -fastf -mcpu=G4"
-            else
-                CFLAGS="$CFLAGS -maltivec -mabi=altivec"
-                define HAVE_ALTIVEC_H
-            fi
             if [ "$vsx" != "no" ] ; then
                 vsx="no"
                 if cc_check "" "-mvsx" ; then
